Subject: bug#28033: [PATCH] Add new face 'header-line-highlight'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Aug 2017 17:27:04 +0300

> From: Alex <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 12 Aug 2017 21:05:42 -0600
> 
> >  . The order of the references to various parts of the changes in the
> >    log message should assume the reading order of top to bottom, so
> >    the log message might need some minor reordering.  In this case,
> >    your original order:
> 
> I was going for a mostly alphabetical ordering. I take it that doesn't
> matter?
> 
> >> * doc/emacs/display.texi (Standard Faces):
> >> * etc/NEWS: Document the face.
> >> * lisp/emacs-lisp/tabulated-list.el (tabulated-list-init-header):
> >> * lisp/info.el (Info-fontify-node): Use the face.
> >> * lisp/faces.el: Define the face.
> >
> >    refers to "the face" before it was defined.  I've reordered it to
> >    put the reference to the lisp/faces.el change before all the rest.
> 
> I don't really understand this part (though I don't mind following it).
> Only the commit summary line references the face by name, and the
> summary is already at the top. Why does it matter that, in the actual
> program execution, the face has to be defined first?

Well, the logical order is: first you introduce the face, then you
use it, then you document it.  So it'd be nice to have the log message
read this way, top to bottom.  In your case, it was in the reverse
order, probably because "C-x 4 a" puts the entries in LIFO order.

Admittedly, this is a very minor aesthetic issue.

> P.S. I happened upon two more places to add this face to. Would you
> please push this as well?

Will do, thanks.